0

I followed the iohk instructions to update my cardano-node to version 1.35.7. It built the node with no errors. However when I run cardano-node --version, cardano-cli --version, I get 1.35.3.

I've checked that my config, topology, etc files are correct. No clue what to do. Any help would be appreciated.

2 Answers 2

1

Building the cardano-node and cardano-cli doesn't mean that your service is using it.

To install the new binaries, copy them from inside the git folder to the folder where the cardano-node.service is looking for binaries to use:

sudo cp $(find ./dist-newstyle/build -type f -name "cardano-node") <DestinationPath>/cardano-node
sudo cp $(find ./dist-newstyle/build -type f -name "cardano-cli") <DestinationPath>/cardano-cli

than check that the new version is installed:

cardano-cli version
cardano-node version

Once you are sure about the new version, restart your cardano-node service.

Full documentation about the update procedure: link

1
  • 1
    Thank you so much, this was exactly it. I assumed incorrectly and did not do this step. All fixed now!
    – mayanhavoc
    Apr 6, 2023 at 14:42
1

Your link to the "iohk instructions" links to the git repo, so I am not really sure which instructions you are talking about.

Assuming you are on Linux, you can run the command which cardano-node and which cardano-cli to figure out where these programs are installed/located. My suspicion is that they are installed in different locations.

1
  • 1
    Thank you for your help. I actually did not completely follow instructions. I missed this step which @Nic_T2H pointed out. Thank you both!
    – mayanhavoc
    Apr 6, 2023 at 14:43

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.